Subject: Re: bug#68591: Error when using shepherd on foreign distro
From: Ludovic Courtès <[email-masked]>
To: Einar Largenius <[email-masked]>
Cc: [email-masked]
Date: Wed, 20 Mar 2024 19:14:06 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Einar,

Einar Largenius <[email-masked]> skribis:

> I am setting up shepherd for use by my user account on a foreign distro. I setup as described in the manual in the section "(shepherd) Managing User Services". When I try to run it using shepherd, it crashes on the line:
>
>      ;; Send shepherd into the background
>      (perform-service-action 'shepherd 'daemonize)
>
> with the error:
>
>     Uncaught exception while loading configuration file '/home/jaadu/.config/shepherd/init.scm': (goops-error #f "No applicable method for ~S in call ~S" (#<<generic> service-actions (1)> (service-actions shepherd)) ())

This was a bug in the documentation, now fixed in Shepherd commit
0fbba586cd1eafa28c827641f093cc9f3cdc1d00.

Instead of the line above, you should write:

  (perform-service-action root-service 'daemonize)

Thanks!

Ludo’.